# Introduction

In our lecture on [Loading, testing, and wrangling experimental data](https://github.com/mkcor/exp-testing), we use real data, courtesy of Pierre-François Duc (Department of Physics, McGill University). These data were acquired in a physics experiment designed to study the flow of superfluid helium in a confined geometry tending towards 1D. The interested reader can find details about the physics, results, and discussions in this open-access article \cite{Duc_2015} and references therein.

# Variables

The control variables (i.e., knobs of the experiment) are pressure difference \(\Delta P\) and temperature \(T\). The response variable is the flow, denoted by \(Q\). In the data file,

* \(T\) corresponds to `T_CH8`,
* \(\Delta P\) corresponds to `(PRESSURE - P2)` \(\simeq\) `PRESSURE` , and
* \(Q\) corresponds to `FLOW`.

In a certain regime, the flow is expected to be a power law of the pressure difference and temperature:

\begin{equation}
Q \sim T^\alpha
\end{equation}

\begin{equation}
Q \sim (\Delta P)^\beta
\end{equation}

# Experimental runs

The scientist can run, control, and monitor the experiment with a native GUI (we say 'native' as opposed to 'web'). Pierre-François Duc developed the GUI entirely in Python, using the [PyQt](https://en.wikipedia.org/wiki/PyQt) API.